Skip to main content
POST
/
policies
/
proposals
/
{proposalId}
/
signatures
cURL
curl --request POST \
  --url https://api.onchainden.com/api/v1/policies/proposals/{proposalId}/signatures \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Idempotency-Key: <x-idempotency-key>' \
  --data '
{
  "type": "approve",
  "signature": "<string>",
  "execute": false
}
'
{
  "data": {
    "id": "prop_pol_add_123",
    "resourceType": "policies",
    "action": "create",
    "signatureStatus": "approvalReady",
    "executionStatus": "completed",
    "threshold": 2,
    "approvals": [],
    "rejections": [],
    "createdAt": "2026-01-18T00:00:00.000Z",
    "expiresAt": "2026-01-25T00:00:00.000Z",
    "data": {
      "policies": [
        {
          "name": "Small USDC Transfers",
          "type": "AUTO_APPROVAL",
          "transactionType": "TOKEN_TRANSFER",
          "networkId": 1,
          "accountIds": [
            "acc_1"
          ],
          "initiatorSetting": null,
          "approverSetting": null,
          "limitation": null,
          "tokenTransferCondition": {
            "tokenAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
            "amountThreshold": "1000000000",
            "destinationAddresses": []
          }
        }
      ]
    },
    "result": {
      "resolution": "approved",
      "resources": [
        {
          "type": "policy",
          "id": "pol_new1",
          "uri": "/api/v1/policies/pol_new1"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Headers

X-Idempotency-Key
string<uuid>
required

Idempotency key for safely retrying mutation requests.

Path Parameters

proposalId
string
required

Proposal ID

Body

application/json
type
enum<string>
required

Type of signature for organization operations

Available options:
approve,
reject
signature
string
required

The cryptographic signature

execute
boolean
default:false

Whether to execute immediately if threshold is met

Response

Policy proposal signed

data
Policies Add · object
required
Example:
{
"id": "prop_pol_add_123",
"resourceType": "policies",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"policies": [
{
"name": "Small USDC Transfers",
"type": "AUTO_APPROVAL",
"transactionType": "TOKEN_TRANSFER",
"networkId": 1,
"accountIds": ["acc_1"],
"initiatorSetting": null,
"approverSetting": null,
"limitation": null,
"tokenTransferCondition": {
"tokenAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"amountThreshold": "1000000000",
"destinationAddresses": []
}
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "policy",
"id": "pol_new1",
"uri": "/api/v1/policies/pol_new1"
}
]
}
}